Game Class Reference

`#include <Game.h>`

List of all members.

## Public Member Functions

| Game (void)
| ~Game (void)
bool | Init (void)
void | Prepare (float dt)
void | Render (void)
void | Shutdown (void)
void | UpdateProjection ()
void | OnResize (int width, int height)

## Detailed Description

Definition at line 6 of file Game.h.

## Constructor & Destructor Documentation

Game::Game | ( | void |  | ) |

Definition at line 18 of file Game.cpp.

Game::~Game | ( | void |  | ) |

Definition at line 25 of file Game.cpp.

## Member Function Documentation

bool Game::Init | ( | void |  | ) |

Definition at line 29 of file Game.cpp.

void Game::OnResize | ( | int | width,
|  | int | height
| ) |  |

Definition at line 132 of file Game.cpp.

void Game::Prepare | ( | float | dt | ) |

Definition at line 39 of file Game.cpp.

void Game::Render | ( | void |  | ) |

Definition at line 57 of file Game.cpp.

void Game::Shutdown | ( | void |  | ) |

Definition at line 87 of file Game.cpp.

void Game::UpdateProjection | ( | void |  | ) |

Definition at line 95 of file Game.cpp.

The documentation for this class was generated from the following files:

- src/Unuk/Game.h
- src/Unuk/Game.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines